# Outreach REST API Reference

Outreach Public API is documented here, at the Development Portal, expand the link [Outreach REST API Reference](https://developers.outreach.io/api/reference/overview/) in the left navigation bar to see human-readable description of endpoints and data types.

However, if you would like to get machine-readable schema definition there are two other options available:

* [https://api.outreach.io/api/v2/schema.json](https://api.outreach.io/api/v2/schema.json) contains the API definition in  the [json-schema format](https://json-schema.org/) and if you provide `Authorization` header with valid token (same as actual API call) all the custom objects defined for the organization will be included as well.

* [https://api.outreach.io/api/v2/schema/openapi.json](https://api.outreach.io/api/v2/schema/openapi.json) contains the API definition in the [OpenAPI / Swagger format](https://swagger.io/specification/). Unfortunately custom objects are not included in this file.

Additionally to these standard definitions Outreach provides detailed list of validations applied to custom fields. Custom objects will be included later, the work is in progress.

* [https://api.outreach.io/api/v2/types](https://api.outreach.io/api/v2/types) endpoint returns a list of all `customXXX` fields on standard objects with their type, label, options or other constraints defined by the administrator. This endpoint requires valid token in the `Authorization` header. The format of the definitions is described below.

### Custom field types

```json
{
  "data": [
    {
      "type": "<object_name>",
      "meta": {
        "validations": {
          "<field_name>": {
            "type": "<validation_type>",
            "required": true / false,
            "label": "...",
            "definition": null / ["...", ...] / "..."
          },
          ...
          }
        }
      }
    },
    ...
  ]
}
```

#### Objects with custom fields

* Account
* Opportunity
* OpportunityLineItem
* OpportunityProspectRole
* Product
* Prospect
* Purchase

#### Validation types

* `boolean` - true or false
* `currency` - monetary value, `definition` contains an abbreviation of the currency like `"USD"` or `"EUR"`
* `date` - a date stored in ISO8601 format: YYYY-MM-DD.
* `date_time` a date and time stored as YYYY-MM-DDThh:mm:ss.
* `inclusion` - a pick list with predefined set of options available in `definition` attribute as a list of strings
* multi_inclusion - a pick list with several options selectable at once with predefined set of options available in `definition` attribute as a list of strings
* `numerical`
* `percentage`
* `phone_number`
* `string`
* `url`



## Servers

```
https://api.outreach.io/api/v2
```

## Security

### bearerAuth

Type: http
Scheme: bearer
Bearer Format: JWT

### s2sAuthToken

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

[Outreach REST API Reference](https://outreach-developer-portal.redocly.app/_bundle/api/reference.yaml)

## Account

### Get a Collection of Accounts

 - [GET /accounts](https://outreach-developer-portal.redocly.app/api/reference/account/paths/~1accounts/get.md)

### Create a New Account

 - [POST /accounts](https://outreach-developer-portal.redocly.app/api/reference/account/paths/~1accounts/post.md)

### Delete an Existing Account by ID

 - [DELETE /accounts/{id}](https://outreach-developer-portal.redocly.app/api/reference/account/paths/~1accounts~1%7Bid%7D/delete.md)

### Get an Account by ID

 - [GET /accounts/{id}](https://outreach-developer-portal.redocly.app/api/reference/account/paths/~1accounts~1%7Bid%7D/get.md)

### Update an Account

 - [PATCH /accounts/{id}](https://outreach-developer-portal.redocly.app/api/reference/account/paths/~1accounts~1%7Bid%7D/patch.md)

## Account Note

### Get a Collection of Account Notes

 - [GET /accountNotes](https://outreach-developer-portal.redocly.app/api/reference/account-note/paths/~1accountnotes/get.md)

### Create a New Account Note

 - [POST /accountNotes](https://outreach-developer-portal.redocly.app/api/reference/account-note/paths/~1accountnotes/post.md)

### Delete an Existing Account Note by ID

 - [DELETE /accountNotes/{id}](https://outreach-developer-portal.redocly.app/api/reference/account-note/paths/~1accountnotes~1%7Bid%7D/delete.md)

### Get an Account Note by ID

 - [GET /accountNotes/{id}](https://outreach-developer-portal.redocly.app/api/reference/account-note/paths/~1accountnotes~1%7Bid%7D/get.md)

### Update an Account Note

 - [PATCH /accountNotes/{id}](https://outreach-developer-portal.redocly.app/api/reference/account-note/paths/~1accountnotes~1%7Bid%7D/patch.md)

## Audit Log

### Get a Collection of Audit Logs

 - [GET /auditLogs](https://outreach-developer-portal.redocly.app/api/reference/audit-log/paths/~1auditlogs/get.md)

## Batch

### Get a Collection of Batches

 - [GET /batches](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches/get.md)

### Get a Batch by ID

 - [GET /batches/{id}](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1%7Bid%7D/get.md)

### Cancel

 - [POST /batches/{id}/actions/cancel](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1%7Bid%7D~1actions~1cancel/post.md): ### Member Action 

Action to call to cancel the batch

### Confirm

 - [POST /batches/{id}/actions/confirm](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1%7Bid%7D~1actions~1confirm/post.md): ### Member Action 

Action to call to confirm the batch

### Account Add Tags

 - [POST /batches/actions/accountAddTags](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1accountaddtags/post.md): ### Bulk Action 

Adds tags to the accounts targeted by the query parameters (default: ALL) using the {tags} array of strings passed in request body

### Accounts Add Assignments

 - [POST /batches/actions/accountsAddAssignments](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1accountsaddassignments/post.md): ### Bulk Action 

Adds assignments to the accounts targeted by the query parameters (default: ALL) using the {userIds} array of strings passed in request body

### Accounts Assign Owner

 - [POST /batches/actions/accountsAssignOwner](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1accountsassignowner/post.md): ### Bulk Action 

assign an user with {ownerId} as owner to all the targeted accounts

### Accounts Bulk Modify

 - [POST /batches/actions/accountsBulkModify](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1accountsbulkmodify/post.md): ### Bulk Action 

Modifies the accounts targeted by the query parameters (default: ALL) using the {field: value, ...} pairs passed in request body.

Alternative request body for a single field modification is also supported:

{
	"data": {
		"attributes": {
			"fieldName": "string",
			"fieldValue": "string",
			"ids": [0]
		}
	},
	"type": "string"
}

### Accounts Destroy All

 - [POST /batches/actions/accountsDestroyAll](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1accountsdestroyall/post.md): ### Bulk Action 

Deletes the accounts targeted by the query parameters (default: ALL)

### Accounts Remove All Assignments

 - [POST /batches/actions/accountsRemoveAllAssignments](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1accountsremoveallassignments/post.md): ### Bulk Action 

Removes all assignments from the accounts targeted by the query parameters (default: ALL)

### Accounts Remove Assignments

 - [POST /batches/actions/accountsRemoveAssignments](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1accountsremoveassignments/post.md): ### Bulk Action 

Removes assignments from the accounts targeted by the query parameters (default: ALL) using the {userIds} array of strings passed in request body

### Accounts Remove Tags

 - [POST /batches/actions/accountsRemoveTags](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1accountsremovetags/post.md): ### Bulk Action 

Removes tags from the accounts targeted by the query parameters (default: ALL) using the {tags} array of strings passed in request body

### Custom Object Bulk Delete

 - [POST /batches/actions/customObjectBulkDelete](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1customobjectbulkdelete/post.md): ### Bulk Action 

Action to delete custom objects of type selected by the query parameter {objectName}

### Custom Object Bulk Modify

 - [POST /batches/actions/customObjectBulkModify](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1customobjectbulkmodify/post.md): ### Bulk Action 

Action to modify custom objects of type selected by the query parameter {objectName}

### Prospects Add Assignments

 - [POST /batches/actions/prospectsAddAssignments](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsaddassignments/post.md): ### Bulk Action 

Adds assignments to the prospects targeted by the query parameters (default: ALL) using the {userIds} array of strings passed in request body

### Prospects Add Tags

 - [POST /batches/actions/prospectsAddTags](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsaddtags/post.md): ### Bulk Action 

Adds tags to the prospects targeted by the query parameters (default: ALL) using the {tags} array of strings passed in request body

### Prospects Add To Sequence

 - [POST /batches/actions/prospectsAddToSequence](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsaddtosequence/post.md): ### Bulk Action 

Add Prospects To Sequence

### Prospects Assign Account

 - [POST /batches/actions/prospectsAssignAccount](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsassignaccount/post.md): ### Bulk Action 

Sets the account to the prospects targeted by the query parameters (default: ALL) using the {accountId} which specifies the account to add to the prospects

### Prospects Assign Opportunity

 - [POST /batches/actions/prospectsAssignOpportunity](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsassignopportunity/post.md): ### Bulk Action 

Sets the opportunity to the prospects targeted by the query parameters (default: ALL) using the {opportunityId} which specifies the account to add to the prospects

### Prospects Assign Owner

 - [POST /batches/actions/prospectsAssignOwner](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsassignowner/post.md): ### Bulk Action 

assign an user with {ownerId} as owner to all the targeted prospects

### Prospects Bulk Modify

 - [POST /batches/actions/prospectsBulkModify](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsbulkmodify/post.md): ### Bulk Action 

Modifies the prospects targeted by the query parameters (default: ALL) using the {field: value, ...} pairs passed in request body

Alternative request body for a single field modification is also supported:

{
	"data": {
		"attributes": {
			"fieldName": "string",
			"fieldValue": "string",
			"ids": [0]
		}
	},
	"type": "string"
}

### Prospects Destroy All

 - [POST /batches/actions/prospectsDestroyAll](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsdestroyall/post.md): ### Bulk Action 

Deletes the prospects targeted by the query parameters (default: ALL)

### Prospects Finish All

 - [POST /batches/actions/prospectsFinishAll](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsfinishall/post.md): ### Bulk Action 

For all prospects targeted by the query parameters (default: ALL), attempt to finish the associated prospect sequence

### Prospects Pause All

 - [POST /batches/actions/prospectsPauseAll](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectspauseall/post.md): ### Bulk Action 

For all prospects targeted by the query parameters (default: ALL), attempt to pause the associated prospect sequence

### Prospects Remove All Assignments

 - [POST /batches/actions/prospectsRemoveAllAssignments](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsremoveallassignments/post.md): ### Bulk Action 

Removes all assignments from the prospects targeted by the query parameters (default: ALL)

### Prospects Remove Assignments

 - [POST /batches/actions/prospectsRemoveAssignments](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsremoveassignments/post.md): ### Bulk Action 

Removes assignments from the prospects targeted by the query parameters (default: ALL) using the {userIds} array of strings passed in request body

### Prospects Remove Tags

 - [POST /batches/actions/prospectsRemoveTags](https://outreach-developer-portal.redocly.app/api/reference/batch/paths/~1batches~1actions~1prospectsremovetags/post.md): ### Bulk Action 

Removes tags from the prospects targeted by the query parameters (default: ALL) using the {tags} array of strings passed in request body

## Batch Item

### Get a Collection of Batch Items

 - [GET /batchItems](https://outreach-developer-portal.redocly.app/api/reference/batch-item/paths/~1batchitems/get.md)

### Get a Batch Item by ID

 - [GET /batchItems/{id}](https://outreach-developer-portal.redocly.app/api/reference/batch-item/paths/~1batchitems~1%7Bid%7D/get.md)

## Call

### Get a Collection of Calls

 - [GET /calls](https://outreach-developer-portal.redocly.app/api/reference/call/paths/~1calls/get.md)

### Create a New Call

 - [POST /calls](https://outreach-developer-portal.redocly.app/api/reference/call/paths/~1calls/post.md)

### Delete an Existing Call by ID

 - [DELETE /calls/{id}](https://outreach-developer-portal.redocly.app/api/reference/call/paths/~1calls~1%7Bid%7D/delete.md)

### Get a Call by ID

 - [GET /calls/{id}](https://outreach-developer-portal.redocly.app/api/reference/call/paths/~1calls~1%7Bid%7D/get.md)

## Call Disposition

### Get a Collection of Call Dispositions

 - [GET /callDispositions](https://outreach-developer-portal.redocly.app/api/reference/call-disposition/paths/~1calldispositions/get.md)

### Create a New Call Disposition

 - [POST /callDispositions](https://outreach-developer-portal.redocly.app/api/reference/call-disposition/paths/~1calldispositions/post.md)

### Delete an Existing Call Disposition by ID

 - [DELETE /callDispositions/{id}](https://outreach-developer-portal.redocly.app/api/reference/call-disposition/paths/~1calldispositions~1%7Bid%7D/delete.md)

### Get a Call Disposition by ID

 - [GET /callDispositions/{id}](https://outreach-developer-portal.redocly.app/api/reference/call-disposition/paths/~1calldispositions~1%7Bid%7D/get.md)

### Update a Call Disposition

 - [PATCH /callDispositions/{id}](https://outreach-developer-portal.redocly.app/api/reference/call-disposition/paths/~1calldispositions~1%7Bid%7D/patch.md)

## Call Purpose

### Get a Collection of Call Purposes

 - [GET /callPurposes](https://outreach-developer-portal.redocly.app/api/reference/call-purpose/paths/~1callpurposes/get.md)

### Create a New Call Purpose

 - [POST /callPurposes](https://outreach-developer-portal.redocly.app/api/reference/call-purpose/paths/~1callpurposes/post.md)

### Delete an Existing Call Purpose by ID

 - [DELETE /callPurposes/{id}](https://outreach-developer-portal.redocly.app/api/reference/call-purpose/paths/~1callpurposes~1%7Bid%7D/delete.md)

### Get a Call Purpose by ID

 - [GET /callPurposes/{id}](https://outreach-developer-portal.redocly.app/api/reference/call-purpose/paths/~1callpurposes~1%7Bid%7D/get.md)

### Update a Call Purpose

 - [PATCH /callPurposes/{id}](https://outreach-developer-portal.redocly.app/api/reference/call-purpose/paths/~1callpurposes~1%7Bid%7D/patch.md)

## Compliance Request

### Get a Collection of Compliance Requests

 - [GET /complianceRequests](https://outreach-developer-portal.redocly.app/api/reference/compliance-request/paths/~1compliancerequests/get.md)

### Create a New Compliance Request

 - [POST /complianceRequests](https://outreach-developer-portal.redocly.app/api/reference/compliance-request/paths/~1compliancerequests/post.md): This is a non-standard case please read this section

### Get a Compliance Request by ID

 - [GET /complianceRequests/{id}](https://outreach-developer-portal.redocly.app/api/reference/compliance-request/paths/~1compliancerequests~1%7Bid%7D/get.md)

## Content Category

### Get a Collection of Content Categories

 - [GET /contentCategories](https://outreach-developer-portal.redocly.app/api/reference/content-category/paths/~1contentcategories/get.md)

### Create a New Content Category

 - [POST /contentCategories](https://outreach-developer-portal.redocly.app/api/reference/content-category/paths/~1contentcategories/post.md)

### Delete an Existing Content Category by ID

 - [DELETE /contentCategories/{id}](https://outreach-developer-portal.redocly.app/api/reference/content-category/paths/~1contentcategories~1%7Bid%7D/delete.md)

### Get a Content Category by ID

 - [GET /contentCategories/{id}](https://outreach-developer-portal.redocly.app/api/reference/content-category/paths/~1contentcategories~1%7Bid%7D/get.md)

### Update a Content Category

 - [PATCH /contentCategories/{id}](https://outreach-developer-portal.redocly.app/api/reference/content-category/paths/~1contentcategories~1%7Bid%7D/patch.md)

## Content Category Membership

### Get a Collection of Content Category Memberships

 - [GET /contentCategoryMemberships](https://outreach-developer-portal.redocly.app/api/reference/content-category-membership/paths/~1contentcategorymemberships/get.md)

### Create a New Content Category Membership

 - [POST /contentCategoryMemberships](https://outreach-developer-portal.redocly.app/api/reference/content-category-membership/paths/~1contentcategorymemberships/post.md)

### Delete an Existing Content Category Membership by ID

 - [DELETE /contentCategoryMemberships/{id}](https://outreach-developer-portal.redocly.app/api/reference/content-category-membership/paths/~1contentcategorymemberships~1%7Bid%7D/delete.md)

### Get a Content Category Membership by ID

 - [GET /contentCategoryMemberships/{id}](https://outreach-developer-portal.redocly.app/api/reference/content-category-membership/paths/~1contentcategorymemberships~1%7Bid%7D/get.md)

## Content Category Ownership

### Get a Collection of Content Category Ownerships

 - [GET /contentCategoryOwnerships](https://outreach-developer-portal.redocly.app/api/reference/content-category-ownership/paths/~1contentcategoryownerships/get.md)

### Create a New Content Category Ownership

 - [POST /contentCategoryOwnerships](https://outreach-developer-portal.redocly.app/api/reference/content-category-ownership/paths/~1contentcategoryownerships/post.md)

### Delete an Existing Content Category Ownership by ID

 - [DELETE /contentCategoryOwnerships/{id}](https://outreach-developer-portal.redocly.app/api/reference/content-category-ownership/paths/~1contentcategoryownerships~1%7Bid%7D/delete.md)

## Duty

### Get a Collection of Duties

 - [GET /duties](https://outreach-developer-portal.redocly.app/api/reference/duty/paths/~1duties/get.md)

## Email Address

### Get a Collection of Email Addresses

 - [GET /emailAddresses](https://outreach-developer-portal.redocly.app/api/reference/email-address/paths/~1emailaddresses/get.md)

### Create a New Email Address

 - [POST /emailAddresses](https://outreach-developer-portal.redocly.app/api/reference/email-address/paths/~1emailaddresses/post.md)

### Delete an Existing Email Address by ID

 - [DELETE /emailAddresses/{id}](https://outreach-developer-portal.redocly.app/api/reference/email-address/paths/~1emailaddresses~1%7Bid%7D/delete.md)

### Get an Email Address by ID

 - [GET /emailAddresses/{id}](https://outreach-developer-portal.redocly.app/api/reference/email-address/paths/~1emailaddresses~1%7Bid%7D/get.md)

### Update an Email Address

 - [PATCH /emailAddresses/{id}](https://outreach-developer-portal.redocly.app/api/reference/email-address/paths/~1emailaddresses~1%7Bid%7D/patch.md)

## Event

### Get a Collection of Events

 - [GET /events](https://outreach-developer-portal.redocly.app/api/reference/event/paths/~1events/get.md)

### Get an Event by ID

 - [GET /events/{id}](https://outreach-developer-portal.redocly.app/api/reference/event/paths/~1events~1%7Bid%7D/get.md)

## Favorite

### Get a Collection of Favorites

 - [GET /favorites](https://outreach-developer-portal.redocly.app/api/reference/favorite/paths/~1favorites/get.md)

### Create a New Favorite

 - [POST /favorites](https://outreach-developer-portal.redocly.app/api/reference/favorite/paths/~1favorites/post.md)

### Delete an Existing Favorite by ID

 - [DELETE /favorites/{id}](https://outreach-developer-portal.redocly.app/api/reference/favorite/paths/~1favorites~1%7Bid%7D/delete.md)

### Get a Favorite by ID

 - [GET /favorites/{id}](https://outreach-developer-portal.redocly.app/api/reference/favorite/paths/~1favorites~1%7Bid%7D/get.md)

## Import

### Get an Import by ID

 - [GET /imports/{id}](https://outreach-developer-portal.redocly.app/api/reference/import/paths/~1imports~1%7Bid%7D/get.md)

### Accounts Import

 - [POST /imports/actions/accountsImport](https://outreach-developer-portal.redocly.app/api/reference/import/paths/~1imports~1actions~1accountsimport/post.md): ### Import Action 

This is the action to import an uploaded file into account's table. Accounts have customId as a unique field. If you upload a file with unique fields that already exist in Outreach database, the dupe method will be applied.

### Bulk Upsert

 - [POST /imports/actions/bulkUpsert](https://outreach-developer-portal.redocly.app/api/reference/import/paths/~1imports~1actions~1bulkupsert/post.md): ### Import Action 

This is the action to sync multiple API v2 objects to Outreach tablesBulk upsert uses a record's data.id attribute to determine uniqueness.The provided dupe method will be applied during processing of records that already exist in Outreach.

### Custom Object Bulk Upsert

 - [POST /imports/actions/customObjectBulkUpsert](https://outreach-developer-portal.redocly.app/api/reference/import/paths/~1imports~1actions~1customobjectbulkupsert/post.md): ### Import Action 

This is the action to upsert records of a custom object. Bulk upsert uses a record's data.id attribute to determine uniqueness. The provided dupe method will be applied during processing of records that already exist in Outreach.

### Generate Upload Link

 - [POST /imports/actions/generateUploadLink](https://outreach-developer-portal.redocly.app/api/reference/import/paths/~1imports~1actions~1generateuploadlink/post.md): ### Upload Action 

Generates a link, an URL at which the file should be uploaded, and a storage key, a reference for the upload

### Prospects Import

 - [POST /imports/actions/prospectsImport](https://outreach-developer-portal.redocly.app/api/reference/import/paths/~1imports~1actions~1prospectsimport/post.md): ### Import Action 

This is the action to import an uploaded file into prospect's table Prospects have externalId as a unique field. If you upload a file with unique fields that already exist in Outreach database, the dupe method will be applied.

### Validate Upload

 - [POST /imports/actions/validateUpload](https://outreach-developer-portal.redocly.app/api/reference/import/paths/~1imports~1actions~1validateupload/post.md): ### Validate Upload Action 

Validates the uploaded file

## Kaia Recording

### Get a Collection of Kaia Recordings

 - [GET /kaiaRecordings](https://outreach-developer-portal.redocly.app/api/reference/kaia-recording/paths/~1kaiarecordings/get.md)

### Get a Kaia Recording by ID

 - [GET /kaiaRecordings/{id}](https://outreach-developer-portal.redocly.app/api/reference/kaia-recording/paths/~1kaiarecordings~1%7Bid%7D/get.md)

## Kaia Voice Import

### Create a New Kaia Voice Import

 - [POST /kaiaVoiceImports](https://outreach-developer-portal.redocly.app/api/reference/kaia-voice-import/paths/~1kaiavoiceimports/post.md)

## Mail Alias

### Get a Collection of Mail Aliases

 - [GET /mailAliases](https://outreach-developer-portal.redocly.app/api/reference/mail-alias/paths/~1mailaliases/get.md)

### Get a Mail Alias by ID

 - [GET /mailAliases/{id}](https://outreach-developer-portal.redocly.app/api/reference/mail-alias/paths/~1mailaliases~1%7Bid%7D/get.md)

## Mailbox

### Get a Collection of Mailboxes

 - [GET /mailboxes](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes/get.md)

### Create a New Mailbox

 - [POST /mailboxes](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes/post.md)

### Delete an Existing Mailbox by ID

 - [DELETE /mailboxes/{id}](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes~1%7Bid%7D/delete.md)

### Get a Mailbox by ID

 - [GET /mailboxes/{id}](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes~1%7Bid%7D/get.md)

### Update a Mailbox

 - [PATCH /mailboxes/{id}](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes~1%7Bid%7D/patch.md)

### Link Ews Master Account

 - [POST /mailboxes/{id}/actions/linkEwsMasterAccount](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes~1%7Bid%7D~1actions~1linkewsmasteraccount/post.md): ### Member Action 

Link mailbox with EWS master account

### Test Send

 - [POST /mailboxes/{id}/actions/testSend](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes~1%7Bid%7D~1actions~1testsend/post.md): ### Member Action 

Test if sending emails works from this mailbox.

### Test Sync

 - [POST /mailboxes/{id}/actions/testSync](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes~1%7Bid%7D~1actions~1testsync/post.md): ### Member Action 

Test if syncing emails works from this mailbox.

### Unlink Ews Master Account

 - [POST /mailboxes/{id}/actions/unlinkEwsMasterAccount](https://outreach-developer-portal.redocly.app/api/reference/mailbox/paths/~1mailboxes~1%7Bid%7D~1actions~1unlinkewsmasteraccount/post.md): ### Member Action 

Unlink EWS master account from mailbox

## Mailing

### Get a Collection of Mailings

 - [GET /mailings](https://outreach-developer-portal.redocly.app/api/reference/mailing/paths/~1mailings/get.md)

### Create a New Mailing

 - [POST /mailings](https://outreach-developer-portal.redocly.app/api/reference/mailing/paths/~1mailings/post.md)

### Get a Mailing by ID

 - [GET /mailings/{id}](https://outreach-developer-portal.redocly.app/api/reference/mailing/paths/~1mailings~1%7Bid%7D/get.md)

## Opportunity

### Get a Collection of Opportunities

 - [GET /opportunities](https://outreach-developer-portal.redocly.app/api/reference/opportunity/paths/~1opportunities/get.md)

### Create a New Opportunity

 - [POST /opportunities](https://outreach-developer-portal.redocly.app/api/reference/opportunity/paths/~1opportunities/post.md)

### Delete an Existing Opportunity by ID

 - [DELETE /opportunities/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity/paths/~1opportunities~1%7Bid%7D/delete.md)

### Get an Opportunity by ID

 - [GET /opportunities/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity/paths/~1opportunities~1%7Bid%7D/get.md)

### Update an Opportunity

 - [PATCH /opportunities/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity/paths/~1opportunities~1%7Bid%7D/patch.md)

## Opportunity Prospect Role

### Get a Collection of Opportunity Prospect Roles

 - [GET /opportunityProspectRoles](https://outreach-developer-portal.redocly.app/api/reference/opportunity-prospect-role/paths/~1opportunityprospectroles/get.md)

### Create a New Opportunity Prospect Role

 - [POST /opportunityProspectRoles](https://outreach-developer-portal.redocly.app/api/reference/opportunity-prospect-role/paths/~1opportunityprospectroles/post.md)

### Delete an Existing Opportunity Prospect Role by ID

 - [DELETE /opportunityProspectRoles/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity-prospect-role/paths/~1opportunityprospectroles~1%7Bid%7D/delete.md)

### Get an Opportunity Prospect Role by ID

 - [GET /opportunityProspectRoles/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity-prospect-role/paths/~1opportunityprospectroles~1%7Bid%7D/get.md)

### Update an Opportunity Prospect Role

 - [PATCH /opportunityProspectRoles/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity-prospect-role/paths/~1opportunityprospectroles~1%7Bid%7D/patch.md)

## Opportunity Stage

### Get a Collection of Opportunity Stages

 - [GET /opportunityStages](https://outreach-developer-portal.redocly.app/api/reference/opportunity-stage/paths/~1opportunitystages/get.md)

### Create a New Opportunity Stage

 - [POST /opportunityStages](https://outreach-developer-portal.redocly.app/api/reference/opportunity-stage/paths/~1opportunitystages/post.md)

### Delete an Existing Opportunity Stage by ID

 - [DELETE /opportunityStages/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity-stage/paths/~1opportunitystages~1%7Bid%7D/delete.md)

### Get an Opportunity Stage by ID

 - [GET /opportunityStages/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity-stage/paths/~1opportunitystages~1%7Bid%7D/get.md)

### Update an Opportunity Stage

 - [PATCH /opportunityStages/{id}](https://outreach-developer-portal.redocly.app/api/reference/opportunity-stage/paths/~1opportunitystages~1%7Bid%7D/patch.md)

## Org Setting

### Get an Org Setting by ID

 - [GET /orgSettings/{id}](https://outreach-developer-portal.redocly.app/api/reference/org-setting/paths/~1orgsettings~1%7Bid%7D/get.md)

### Update an Org Setting

 - [PATCH /orgSettings/{id}](https://outreach-developer-portal.redocly.app/api/reference/org-setting/paths/~1orgsettings~1%7Bid%7D/patch.md)

## Persona

### Get a Collection of Personas

 - [GET /personas](https://outreach-developer-portal.redocly.app/api/reference/persona/paths/~1personas/get.md)

### Create a New Persona

 - [POST /personas](https://outreach-developer-portal.redocly.app/api/reference/persona/paths/~1personas/post.md)

### Delete an Existing Persona by ID

 - [DELETE /personas/{id}](https://outreach-developer-portal.redocly.app/api/reference/persona/paths/~1personas~1%7Bid%7D/delete.md)

### Get a Persona by ID

 - [GET /personas/{id}](https://outreach-developer-portal.redocly.app/api/reference/persona/paths/~1personas~1%7Bid%7D/get.md)

### Update a Persona

 - [PATCH /personas/{id}](https://outreach-developer-portal.redocly.app/api/reference/persona/paths/~1personas~1%7Bid%7D/patch.md)

## Phone Number

### Get a Collection of Phone Numbers

 - [GET /phoneNumbers](https://outreach-developer-portal.redocly.app/api/reference/phone-number/paths/~1phonenumbers/get.md)

### Create a New Phone Number

 - [POST /phoneNumbers](https://outreach-developer-portal.redocly.app/api/reference/phone-number/paths/~1phonenumbers/post.md)

### Delete an Existing Phone Number by ID

 - [DELETE /phoneNumbers/{id}](https://outreach-developer-portal.redocly.app/api/reference/phone-number/paths/~1phonenumbers~1%7Bid%7D/delete.md)

### Get a Phone Number by ID

 - [GET /phoneNumbers/{id}](https://outreach-developer-portal.redocly.app/api/reference/phone-number/paths/~1phonenumbers~1%7Bid%7D/get.md)

### Update a Phone Number

 - [PATCH /phoneNumbers/{id}](https://outreach-developer-portal.redocly.app/api/reference/phone-number/paths/~1phonenumbers~1%7Bid%7D/patch.md)

## Product

### Get a Collection of Products

 - [GET /products](https://outreach-developer-portal.redocly.app/api/reference/product/paths/~1products/get.md)

### Create a New Product

 - [POST /products](https://outreach-developer-portal.redocly.app/api/reference/product/paths/~1products/post.md)

### Delete an Existing Product by ID

 - [DELETE /products/{id}](https://outreach-developer-portal.redocly.app/api/reference/product/paths/~1products~1%7Bid%7D/delete.md)

### Get a Product by ID

 - [GET /products/{id}](https://outreach-developer-portal.redocly.app/api/reference/product/paths/~1products~1%7Bid%7D/get.md)

### Update a Product

 - [PATCH /products/{id}](https://outreach-developer-portal.redocly.app/api/reference/product/paths/~1products~1%7Bid%7D/patch.md)

## Profile

### Get a Collection of Profiles

 - [GET /profiles](https://outreach-developer-portal.redocly.app/api/reference/profile/paths/~1profiles/get.md)

### Create a New Profile

 - [POST /profiles](https://outreach-developer-portal.redocly.app/api/reference/profile/paths/~1profiles/post.md)

### Delete an Existing Profile by ID

 - [DELETE /profiles/{id}](https://outreach-developer-portal.redocly.app/api/reference/profile/paths/~1profiles~1%7Bid%7D/delete.md)

### Get a Profile by ID

 - [GET /profiles/{id}](https://outreach-developer-portal.redocly.app/api/reference/profile/paths/~1profiles~1%7Bid%7D/get.md)

### Update a Profile

 - [PATCH /profiles/{id}](https://outreach-developer-portal.redocly.app/api/reference/profile/paths/~1profiles~1%7Bid%7D/patch.md)

## Prospect

### Get a Collection of Prospects

 - [GET /prospects](https://outreach-developer-portal.redocly.app/api/reference/prospect/paths/~1prospects/get.md)

### Create a New Prospect

 - [POST /prospects](https://outreach-developer-portal.redocly.app/api/reference/prospect/paths/~1prospects/post.md)

### Delete an Existing Prospect by ID

 - [DELETE /prospects/{id}](https://outreach-developer-portal.redocly.app/api/reference/prospect/paths/~1prospects~1%7Bid%7D/delete.md)

### Get a Prospect by ID

 - [GET /prospects/{id}](https://outreach-developer-portal.redocly.app/api/reference/prospect/paths/~1prospects~1%7Bid%7D/get.md)

### Update a Prospect

 - [PATCH /prospects/{id}](https://outreach-developer-portal.redocly.app/api/reference/prospect/paths/~1prospects~1%7Bid%7D/patch.md)

## Prospect Note

### Get a Collection of Prospect Notes

 - [GET /prospectNotes](https://outreach-developer-portal.redocly.app/api/reference/prospect-note/paths/~1prospectnotes/get.md)

### Create a New Prospect Note

 - [POST /prospectNotes](https://outreach-developer-portal.redocly.app/api/reference/prospect-note/paths/~1prospectnotes/post.md)

### Delete an Existing Prospect Note by ID

 - [DELETE /prospectNotes/{id}](https://outreach-developer-portal.redocly.app/api/reference/prospect-note/paths/~1prospectnotes~1%7Bid%7D/delete.md)

### Get a Prospect Note by ID

 - [GET /prospectNotes/{id}](https://outreach-developer-portal.redocly.app/api/reference/prospect-note/paths/~1prospectnotes~1%7Bid%7D/get.md)

### Update a Prospect Note

 - [PATCH /prospectNotes/{id}](https://outreach-developer-portal.redocly.app/api/reference/prospect-note/paths/~1prospectnotes~1%7Bid%7D/patch.md)

## Purchase

### Get a Collection of Purchases

 - [GET /purchases](https://outreach-developer-portal.redocly.app/api/reference/purchase/paths/~1purchases/get.md)

### Create a New Purchase

 - [POST /purchases](https://outreach-developer-portal.redocly.app/api/reference/purchase/paths/~1purchases/post.md)

### Delete an Existing Purchase by ID

 - [DELETE /purchases/{id}](https://outreach-developer-portal.redocly.app/api/reference/purchase/paths/~1purchases~1%7Bid%7D/delete.md)

### Get a Purchase by ID

 - [GET /purchases/{id}](https://outreach-developer-portal.redocly.app/api/reference/purchase/paths/~1purchases~1%7Bid%7D/get.md)

### Update a Purchase

 - [PATCH /purchases/{id}](https://outreach-developer-portal.redocly.app/api/reference/purchase/paths/~1purchases~1%7Bid%7D/patch.md)

## Recipient

### Get a Collection of Recipients

 - [GET /recipients](https://outreach-developer-portal.redocly.app/api/reference/recipient/paths/~1recipients/get.md)

### Create a New Recipient

 - [POST /recipients](https://outreach-developer-portal.redocly.app/api/reference/recipient/paths/~1recipients/post.md)

### Delete an Existing Recipient by ID

 - [DELETE /recipients/{id}](https://outreach-developer-portal.redocly.app/api/reference/recipient/paths/~1recipients~1%7Bid%7D/delete.md)

### Get a Recipient by ID

 - [GET /recipients/{id}](https://outreach-developer-portal.redocly.app/api/reference/recipient/paths/~1recipients~1%7Bid%7D/get.md)

### Update a Recipient

 - [PATCH /recipients/{id}](https://outreach-developer-portal.redocly.app/api/reference/recipient/paths/~1recipients~1%7Bid%7D/patch.md)

## Role

### Get a Collection of Roles

 - [GET /roles](https://outreach-developer-portal.redocly.app/api/reference/role/paths/~1roles/get.md)

### Create a New Role

 - [POST /roles](https://outreach-developer-portal.redocly.app/api/reference/role/paths/~1roles/post.md)

### Delete an Existing Role by ID

 - [DELETE /roles/{id}](https://outreach-developer-portal.redocly.app/api/reference/role/paths/~1roles~1%7Bid%7D/delete.md)

### Get a Role by ID

 - [GET /roles/{id}](https://outreach-developer-portal.redocly.app/api/reference/role/paths/~1roles~1%7Bid%7D/get.md)

### Update a Role

 - [PATCH /roles/{id}](https://outreach-developer-portal.redocly.app/api/reference/role/paths/~1roles~1%7Bid%7D/patch.md)

## Ruleset

### Get a Collection of Rulesets

 - [GET /rulesets](https://outreach-developer-portal.redocly.app/api/reference/ruleset/paths/~1rulesets/get.md)

### Create a New Ruleset

 - [POST /rulesets](https://outreach-developer-portal.redocly.app/api/reference/ruleset/paths/~1rulesets/post.md)

### Delete an Existing Ruleset by ID

 - [DELETE /rulesets/{id}](https://outreach-developer-portal.redocly.app/api/reference/ruleset/paths/~1rulesets~1%7Bid%7D/delete.md)

### Get a Ruleset by ID

 - [GET /rulesets/{id}](https://outreach-developer-portal.redocly.app/api/reference/ruleset/paths/~1rulesets~1%7Bid%7D/get.md)

### Update a Ruleset

 - [PATCH /rulesets/{id}](https://outreach-developer-portal.redocly.app/api/reference/ruleset/paths/~1rulesets~1%7Bid%7D/patch.md)

## Sequence

### Get a Collection of Sequences

 - [GET /sequences](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences/get.md)

### Create a New Sequence

 - [POST /sequences](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences/post.md)

### Delete an Existing Sequence by ID

 - [DELETE /sequences/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences~1%7Bid%7D/delete.md)

### Get a Sequence by ID

 - [GET /sequences/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences~1%7Bid%7D/get.md)

### Update a Sequence

 - [PATCH /sequences/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences~1%7Bid%7D/patch.md)

### Activate

 - [POST /sequences/{id}/actions/activate](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences~1%7Bid%7D~1actions~1activate/post.md): ### Member Action 

Enables the sequence.

### Deactivate

 - [POST /sequences/{id}/actions/deactivate](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences~1%7Bid%7D~1actions~1deactivate/post.md): ### Member Action 

Disables the sequence.

### Lock

 - [POST /sequences/{id}/actions/lock](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences~1%7Bid%7D~1actions~1lock/post.md): ### Member Action 

Archives the sequence.

### Unlock

 - [POST /sequences/{id}/actions/unlock](https://outreach-developer-portal.redocly.app/api/reference/sequence/paths/~1sequences~1%7Bid%7D~1actions~1unlock/post.md): ### Member Action 

Unarchives the sequence.

## Sequence State

### Get a Collection of Sequence States

 - [GET /sequenceStates](https://outreach-developer-portal.redocly.app/api/reference/sequence-state/paths/~1sequencestates/get.md)

### Create a New Sequence State

 - [POST /sequenceStates](https://outreach-developer-portal.redocly.app/api/reference/sequence-state/paths/~1sequencestates/post.md)

### Delete an Existing Sequence State by ID

 - [DELETE /sequenceStates/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence-state/paths/~1sequencestates~1%7Bid%7D/delete.md)

### Get a Sequence State by ID

 - [GET /sequenceStates/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence-state/paths/~1sequencestates~1%7Bid%7D/get.md)

### Finish

 - [POST /sequenceStates/{id}/actions/finish](https://outreach-developer-portal.redocly.app/api/reference/sequence-state/paths/~1sequencestates~1%7Bid%7D~1actions~1finish/post.md): ### Member Action 

Finishes an active sequence state.

### Pause

 - [POST /sequenceStates/{id}/actions/pause](https://outreach-developer-portal.redocly.app/api/reference/sequence-state/paths/~1sequencestates~1%7Bid%7D~1actions~1pause/post.md): ### Member Action 

Pauses an active sequence state.

### Resume

 - [POST /sequenceStates/{id}/actions/resume](https://outreach-developer-portal.redocly.app/api/reference/sequence-state/paths/~1sequencestates~1%7Bid%7D~1actions~1resume/post.md): ### Member Action 

Resumes a paused sequence state.

## Sequence Step

### Get a Collection of Sequence Steps

 - [GET /sequenceSteps](https://outreach-developer-portal.redocly.app/api/reference/sequence-step/paths/~1sequencesteps/get.md)

### Create a New Sequence Step

 - [POST /sequenceSteps](https://outreach-developer-portal.redocly.app/api/reference/sequence-step/paths/~1sequencesteps/post.md)

### Get a Sequence Step by ID

 - [GET /sequenceSteps/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence-step/paths/~1sequencesteps~1%7Bid%7D/get.md)

### Update a Sequence Step

 - [PATCH /sequenceSteps/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence-step/paths/~1sequencesteps~1%7Bid%7D/patch.md)

## Sequence Template

### Get a Collection of Sequence Templates

 - [GET /sequenceTemplates](https://outreach-developer-portal.redocly.app/api/reference/sequence-template/paths/~1sequencetemplates/get.md)

### Create a New Sequence Template

 - [POST /sequenceTemplates](https://outreach-developer-portal.redocly.app/api/reference/sequence-template/paths/~1sequencetemplates/post.md)

### Delete an Existing Sequence Template by ID

 - [DELETE /sequenceTemplates/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence-template/paths/~1sequencetemplates~1%7Bid%7D/delete.md)

### Get a Sequence Template by ID

 - [GET /sequenceTemplates/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence-template/paths/~1sequencetemplates~1%7Bid%7D/get.md)

### Update a Sequence Template

 - [PATCH /sequenceTemplates/{id}](https://outreach-developer-portal.redocly.app/api/reference/sequence-template/paths/~1sequencetemplates~1%7Bid%7D/patch.md)

### Activate

 - [POST /sequenceTemplates/{id}/actions/activate](https://outreach-developer-portal.redocly.app/api/reference/sequence-template/paths/~1sequencetemplates~1%7Bid%7D~1actions~1activate/post.md): ### Member Action 

Enable the sequence step associated with it.

### Deactivate

 - [POST /sequenceTemplates/{id}/actions/deactivate](https://outreach-developer-portal.redocly.app/api/reference/sequence-template/paths/~1sequencetemplates~1%7Bid%7D~1actions~1deactivate/post.md): ### Member Action 

Disable the sequence step associated with it.

## Snippet

### Get a Collection of Snippets

 - [GET /snippets](https://outreach-developer-portal.redocly.app/api/reference/snippet/paths/~1snippets/get.md)

### Create a New Snippet

 - [POST /snippets](https://outreach-developer-portal.redocly.app/api/reference/snippet/paths/~1snippets/post.md)

### Delete an Existing Snippet by ID

 - [DELETE /snippets/{id}](https://outreach-developer-portal.redocly.app/api/reference/snippet/paths/~1snippets~1%7Bid%7D/delete.md)

### Get a Snippet by ID

 - [GET /snippets/{id}](https://outreach-developer-portal.redocly.app/api/reference/snippet/paths/~1snippets~1%7Bid%7D/get.md)

### Update a Snippet

 - [PATCH /snippets/{id}](https://outreach-developer-portal.redocly.app/api/reference/snippet/paths/~1snippets~1%7Bid%7D/patch.md)

## Stage

### Get a Collection of Stages

 - [GET /stages](https://outreach-developer-portal.redocly.app/api/reference/stage/paths/~1stages/get.md)

### Create a New Stage

 - [POST /stages](https://outreach-developer-portal.redocly.app/api/reference/stage/paths/~1stages/post.md)

### Delete an Existing Stage by ID

 - [DELETE /stages/{id}](https://outreach-developer-portal.redocly.app/api/reference/stage/paths/~1stages~1%7Bid%7D/delete.md)

### Get a Stage by ID

 - [GET /stages/{id}](https://outreach-developer-portal.redocly.app/api/reference/stage/paths/~1stages~1%7Bid%7D/get.md)

### Update a Stage

 - [PATCH /stages/{id}](https://outreach-developer-portal.redocly.app/api/reference/stage/paths/~1stages~1%7Bid%7D/patch.md)

## Task

### Get a Collection of Tasks

 - [GET /tasks](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks/get.md)

### Create a New Task

 - [POST /tasks](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks/post.md)

### Delete an Existing Task by ID

 - [DELETE /tasks/{id}](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D/delete.md)

### Get a Task by ID

 - [GET /tasks/{id}](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D/get.md)

### Update a Task

 - [PATCH /tasks/{id}](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D/patch.md)

### Advance

 - [POST /tasks/{id}/actions/advance](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1advance/post.md): ### Member Action 

Advances the sequence state associated with the task to the next step in the sequence. Note that only tasks with task_type of 'sequence_step_call', 'sequence_step_email', 'sequence_step_linkedin_interact_with_post', 'sequence_step_linkedin_other', 'sequence_step_linkedin_send_connection_request', 'sequence_step_linkedin_send_message', 'sequence_step_linkedin_view_profile', 'sequence_step_sms' or 'sequence_step_task' can be advanced.

### Deliver

 - [POST /tasks/{id}/actions/deliver](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1deliver/post.md): ### Member Action 

Schedules the mailing associated with the task for delivery, if possible.

### Log Meet In Person

 - [POST /tasks/{id}/actions/logMeetInPerson](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1logmeetinperson/post.md): ### Member Action 

Marks the meet in-person task as complete with specified task disposition and purpose.

### Mark Complete

 - [POST /tasks/{id}/actions/markComplete](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1markcomplete/post.md): ### Member Action 

Marks the task as complete.

### Reassign Owner

 - [POST /tasks/{id}/actions/reassignOwner](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1reassignowner/post.md): ### Member Action 

Reassigns the owner of a task

### Reschedule

 - [POST /tasks/{id}/actions/reschedule](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1reschedule/post.md): ### Member Action 

Reschedules a task by setting a new task due time.

### Snooze

 - [POST /tasks/{id}/actions/snooze](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1snooze/post.md): ### Member Action 

Sets the 'dueAt' value to be a day later than either now or the existing 'dueAt' value, whichever is later.

### Update Note

 - [POST /tasks/{id}/actions/updateNote](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1updatenote/post.md): ### Member Action 

Updates note of a task

### Update Opportunity Association

 - [POST /tasks/{id}/actions/updateOpportunityAssociation](https://outreach-developer-portal.redocly.app/api/reference/task/paths/~1tasks~1%7Bid%7D~1actions~1updateopportunityassociation/post.md): ### Member Action 

Updates opportunity association of a task

## Task Disposition

### Get a Collection of Task Dispositions

 - [GET /taskDispositions](https://outreach-developer-portal.redocly.app/api/reference/task-disposition/paths/~1taskdispositions/get.md)

### Create a New Task Disposition

 - [POST /taskDispositions](https://outreach-developer-portal.redocly.app/api/reference/task-disposition/paths/~1taskdispositions/post.md)

### Delete an Existing Task Disposition by ID

 - [DELETE /taskDispositions/{id}](https://outreach-developer-portal.redocly.app/api/reference/task-disposition/paths/~1taskdispositions~1%7Bid%7D/delete.md)

### Get a Task Disposition by ID

 - [GET /taskDispositions/{id}](https://outreach-developer-portal.redocly.app/api/reference/task-disposition/paths/~1taskdispositions~1%7Bid%7D/get.md)

### Update a Task Disposition

 - [PATCH /taskDispositions/{id}](https://outreach-developer-portal.redocly.app/api/reference/task-disposition/paths/~1taskdispositions~1%7Bid%7D/patch.md)

## Task Priority

### Get a Collection of Task Priorities

 - [GET /taskPriorities](https://outreach-developer-portal.redocly.app/api/reference/task-priority/paths/~1taskpriorities/get.md)

### Get a Task Priority by ID

 - [GET /taskPriorities/{id}](https://outreach-developer-portal.redocly.app/api/reference/task-priority/paths/~1taskpriorities~1%7Bid%7D/get.md)

## Task Purpose

### Get a Collection of Task Purposes

 - [GET /taskPurposes](https://outreach-developer-portal.redocly.app/api/reference/task-purpose/paths/~1taskpurposes/get.md)

### Create a New Task Purpose

 - [POST /taskPurposes](https://outreach-developer-portal.redocly.app/api/reference/task-purpose/paths/~1taskpurposes/post.md)

### Delete an Existing Task Purpose by ID

 - [DELETE /taskPurposes/{id}](https://outreach-developer-portal.redocly.app/api/reference/task-purpose/paths/~1taskpurposes~1%7Bid%7D/delete.md)

### Get a Task Purpose by ID

 - [GET /taskPurposes/{id}](https://outreach-developer-portal.redocly.app/api/reference/task-purpose/paths/~1taskpurposes~1%7Bid%7D/get.md)

### Update a Task Purpose

 - [PATCH /taskPurposes/{id}](https://outreach-developer-portal.redocly.app/api/reference/task-purpose/paths/~1taskpurposes~1%7Bid%7D/patch.md)

## Team

### Get a Collection of Teams

 - [GET /teams](https://outreach-developer-portal.redocly.app/api/reference/team/paths/~1teams/get.md)

### Create a New Team

 - [POST /teams](https://outreach-developer-portal.redocly.app/api/reference/team/paths/~1teams/post.md)

### Delete an Existing Team by ID

 - [DELETE /teams/{id}](https://outreach-developer-portal.redocly.app/api/reference/team/paths/~1teams~1%7Bid%7D/delete.md)

### Get a Team by ID

 - [GET /teams/{id}](https://outreach-developer-portal.redocly.app/api/reference/team/paths/~1teams~1%7Bid%7D/get.md)

### Update a Team

 - [PATCH /teams/{id}](https://outreach-developer-portal.redocly.app/api/reference/team/paths/~1teams~1%7Bid%7D/patch.md)

## Template

### Get a Collection of Templates

 - [GET /templates](https://outreach-developer-portal.redocly.app/api/reference/template/paths/~1templates/get.md)

### Create a New Template

 - [POST /templates](https://outreach-developer-portal.redocly.app/api/reference/template/paths/~1templates/post.md)

### Delete an Existing Template by ID

 - [DELETE /templates/{id}](https://outreach-developer-portal.redocly.app/api/reference/template/paths/~1templates~1%7Bid%7D/delete.md)

### Get a Template by ID

 - [GET /templates/{id}](https://outreach-developer-portal.redocly.app/api/reference/template/paths/~1templates~1%7Bid%7D/get.md)

### Update a Template

 - [PATCH /templates/{id}](https://outreach-developer-portal.redocly.app/api/reference/template/paths/~1templates~1%7Bid%7D/patch.md)

## User

### Get a Collection of Users

 - [GET /users](https://outreach-developer-portal.redocly.app/api/reference/user/paths/~1users/get.md)

### Create a New User

 - [POST /users](https://outreach-developer-portal.redocly.app/api/reference/user/paths/~1users/post.md)

### Get a User by ID

 - [GET /users/{id}](https://outreach-developer-portal.redocly.app/api/reference/user/paths/~1users~1%7Bid%7D/get.md)

### Update a User

 - [PATCH /users/{id}](https://outreach-developer-portal.redocly.app/api/reference/user/paths/~1users~1%7Bid%7D/patch.md)

## Webhook

### Get a Collection of Webhooks

 - [GET /webhooks](https://outreach-developer-portal.redocly.app/api/reference/webhook/paths/~1webhooks/get.md)

### Create a New Webhook

 - [POST /webhooks](https://outreach-developer-portal.redocly.app/api/reference/webhook/paths/~1webhooks/post.md)

### Delete an Existing Webhook by ID

 - [DELETE /webhooks/{id}](https://outreach-developer-portal.redocly.app/api/reference/webhook/paths/~1webhooks~1%7Bid%7D/delete.md)

### Get a Webhook by ID

 - [GET /webhooks/{id}](https://outreach-developer-portal.redocly.app/api/reference/webhook/paths/~1webhooks~1%7Bid%7D/get.md)

### Update a Webhook

 - [PATCH /webhooks/{id}](https://outreach-developer-portal.redocly.app/api/reference/webhook/paths/~1webhooks~1%7Bid%7D/patch.md)

